#pragma once
#include "AnimatedSprite.h"

class Player : public AnimatedSprite {
private:
    float invincibilityTimer = 0.f;
public:
    bool tutorialMode = false;

    Player(const float x, const float y);

    void render(sf::RenderWindow& window);
    void update(const float deltaTime);

    void setInvincibility(const float time);
    bool isInvincible() const { return invincibilityTimer > 0.f; };
};
